Skip to content
Browse files

Updated dependency versions

  • Loading branch information...
1 parent a81504f commit 90a8a57fb39e9bd6006f8762cdfb372dd8e93932 @ivanvanderbyl committed
Showing with 39 additions and 53 deletions.
  1. +2 −6 Gemfile
  2. +29 −27 Gemfile.lock
  3. +8 −20 cloudist.gemspec
View
8 Gemfile
@@ -1,22 +1,18 @@
source :rubygems
gem 'amqp', '~> 0.8.1'
-gem "json", "~> 1.4.6"
+gem "json", "~> 1.4"
gem "i18n"
-gem "activesupport", "~> 3.0.3"
+gem "activesupport", "> 3.0.0"
gem "hashie"
gem "uuid"
# Add dependencies to develop your gem here.
# Include everything needed to run rake, tests, features, etc.
group :development do
- gem "rake", "~> 0.9.2"
gem "rspec", "~> 2.4.0"
gem "moqueue", :git => "git://github.com/ivanvanderbyl/moqueue.git"
- gem "mocha"
- gem "bundler", "~> 1.0.0"
gem "jeweler", "~> 1.6.4"
- gem "rcov", ">= 0"
gem "reek", "~> 1.2.8"
gem "roodi", "~> 2.1.0"
end
View
56 Gemfile.lock
@@ -1,40 +1,45 @@
GIT
remote: git://github.com/ivanvanderbyl/moqueue.git
- revision: cf2108e3bee7730a6a57e0a95a4c17082c2b2603
+ revision: 5d20cc7bceed3cf4f40c02e638f4398b9f0a2e00
specs:
- moqueue (0.1.4)
- amqp
+ moqueue (0.2.1)
+ amqp (>= 0.8.0.rc14)
GEM
remote: http://rubygems.org/
specs:
- activesupport (3.0.7)
- amq-client (0.8.5)
- amq-protocol (>= 0.8.0)
+ activesupport (3.2.6)
+ i18n (~> 0.6)
+ multi_json (~> 1.0)
+ amq-client (0.8.7)
+ amq-protocol (>= 0.8.4)
eventmachine
- amq-protocol (0.8.3)
- amqp (0.8.2)
- amq-client (~> 0.8.5)
- amq-protocol (~> 0.8.3)
+ amq-protocol (0.8.4)
+ amqp (0.8.4)
+ amq-client (~> 0.8.7)
+ amq-protocol (~> 0.8.4)
eventmachine
diff-lcs (1.1.3)
eventmachine (0.12.10)
git (1.2.5)
- hashie (1.0.0)
- i18n (0.5.0)
+ hashie (1.2.0)
+ i18n (0.6.0)
jeweler (1.6.4)
bundler (~> 1.0)
git (>= 1.2.5)
rake
- json (1.4.6)
- macaddr (1.0.0)
- mocha (0.9.12)
+ json (1.7.3)
+ macaddr (1.6.1)
+ systemu (~> 2.5.0)
+ multi_json (1.3.6)
rake (0.9.2.2)
- rcov (0.9.9)
- reek (1.2.8)
- ruby2ruby (~> 1.2)
+ reek (1.2.12)
+ ripper_ruby_parser (~> 0.0.7)
+ ruby2ruby (~> 1.2.5)
ruby_parser (~> 2.0)
sexp_processor (~> 3.0)
+ ripper_ruby_parser (0.0.8)
+ sexp_processor (~> 3.0)
roodi (2.1.0)
ruby_parser
rspec (2.4.0)
@@ -48,27 +53,24 @@ GEM
ruby2ruby (1.2.5)
ruby_parser (~> 2.0)
sexp_processor (~> 3.0)
- ruby_parser (2.0.6)
+ ruby_parser (2.3.1)
sexp_processor (~> 3.0)
- sexp_processor (3.0.5)
- uuid (2.3.2)
+ sexp_processor (3.2.0)
+ systemu (2.5.1)
+ uuid (2.3.5)
macaddr (~> 1.0)
PLATFORMS
ruby
DEPENDENCIES
- activesupport (~> 3.0.3)
+ activesupport (> 3.0.0)
amqp (~> 0.8.1)
- bundler (~> 1.0.0)
hashie
i18n
jeweler (~> 1.6.4)
- json (~> 1.4.6)
- mocha
+ json (~> 1.4)
moqueue!
- rake (~> 0.9.2)
- rcov
reek (~> 1.2.8)
roodi (~> 2.1.0)
rspec (~> 2.4.0)
View
28 cloudist.gemspec
@@ -9,7 +9,7 @@ Gem::Specification.new do |s|
s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
s.authors = ["Ivan Vanderbyl"]
- s.date = "2011-11-08"
+ s.date = "2012-07-12"
s.description = "Cloudist is a simple, highly scalable job queue for Ruby applications, it can run within Rails, DaemonKit or your own custom application. Refer to github page for examples"
s.email = "ivanvanderbyl@me.com"
s.extra_rdoc_files = [
@@ -78,7 +78,7 @@ Gem::Specification.new do |s|
s.homepage = "http://github.com/ivanvanderbyl/cloudist"
s.licenses = ["MIT"]
s.require_paths = ["lib"]
- s.rubygems_version = "1.8.10"
+ s.rubygems_version = "1.8.15"
s.summary = "Super fast job queue using AMQP"
if s.respond_to? :specification_version then
@@ -86,51 +86,39 @@ Gem::Specification.new do |s|
if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
s.add_runtime_dependency(%q<amqp>, ["~> 0.8.1"])
- s.add_runtime_dependency(%q<json>, ["~> 1.4.6"])
+ s.add_runtime_dependency(%q<json>, ["~> 1.4"])
s.add_runtime_dependency(%q<i18n>, [">= 0"])
- s.add_runtime_dependency(%q<activesupport>, ["~> 3.0.3"])
+ s.add_runtime_dependency(%q<activesupport>, ["> 3.0.0"])
s.add_runtime_dependency(%q<hashie>, [">= 0"])
s.add_runtime_dependency(%q<uuid>, [">= 0"])
- s.add_development_dependency(%q<rake>, ["~> 0.9.2"])
s.add_development_dependency(%q<rspec>, ["~> 2.4.0"])
s.add_development_dependency(%q<moqueue>, [">= 0"])
- s.add_development_dependency(%q<mocha>, [">= 0"])
- s.add_development_dependency(%q<bundler>, ["~> 1.0.0"])
s.add_development_dependency(%q<jeweler>, ["~> 1.6.4"])
- s.add_development_dependency(%q<rcov>, [">= 0"])
s.add_development_dependency(%q<reek>, ["~> 1.2.8"])
s.add_development_dependency(%q<roodi>, ["~> 2.1.0"])
else
s.add_dependency(%q<amqp>, ["~> 0.8.1"])
- s.add_dependency(%q<json>, ["~> 1.4.6"])
+ s.add_dependency(%q<json>, ["~> 1.4"])
s.add_dependency(%q<i18n>, [">= 0"])
- s.add_dependency(%q<activesupport>, ["~> 3.0.3"])
+ s.add_dependency(%q<activesupport>, ["> 3.0.0"])
s.add_dependency(%q<hashie>, [">= 0"])
s.add_dependency(%q<uuid>, [">= 0"])
- s.add_dependency(%q<rake>, ["~> 0.9.2"])
s.add_dependency(%q<rspec>, ["~> 2.4.0"])
s.add_dependency(%q<moqueue>, [">= 0"])
- s.add_dependency(%q<mocha>, [">= 0"])
- s.add_dependency(%q<bundler>, ["~> 1.0.0"])
s.add_dependency(%q<jeweler>, ["~> 1.6.4"])
- s.add_dependency(%q<rcov>, [">= 0"])
s.add_dependency(%q<reek>, ["~> 1.2.8"])
s.add_dependency(%q<roodi>, ["~> 2.1.0"])
end
else
s.add_dependency(%q<amqp>, ["~> 0.8.1"])
- s.add_dependency(%q<json>, ["~> 1.4.6"])
+ s.add_dependency(%q<json>, ["~> 1.4"])
s.add_dependency(%q<i18n>, [">= 0"])
- s.add_dependency(%q<activesupport>, ["~> 3.0.3"])
+ s.add_dependency(%q<activesupport>, ["> 3.0.0"])
s.add_dependency(%q<hashie>, [">= 0"])
s.add_dependency(%q<uuid>, [">= 0"])
- s.add_dependency(%q<rake>, ["~> 0.9.2"])
s.add_dependency(%q<rspec>, ["~> 2.4.0"])
s.add_dependency(%q<moqueue>, [">= 0"])
- s.add_dependency(%q<mocha>, [">= 0"])
- s.add_dependency(%q<bundler>, ["~> 1.0.0"])
s.add_dependency(%q<jeweler>, ["~> 1.6.4"])
- s.add_dependency(%q<rcov>, [">= 0"])
s.add_dependency(%q<reek>, ["~> 1.2.8"])
s.add_dependency(%q<roodi>, ["~> 2.1.0"])
end

0 comments on commit 90a8a57

Please sign in to comment.
Something went wrong with that request. Please try again.